<template>
  <div>
    <div class="text-center">
      <h2 class="mb-3 pt-8">
        {{ $t('monitoringSolution.whyMonitoring.title') }}
      </h2>
      <p class="grey--text darken-3">
        {{ $t('monitoringSolution.whyMonitoring.description') }}
      </p>
    </div>
    <v-row justify="center" align="center" class="pt-12 pb-12">
      <v-col cols="12" md="7">
        <v-row
          v-for="card in dataGiven.items"
          :key="card.key"
          class="pt-8 pb-8 pr-10 pl-10 mt-12 mb-12 box-shade d-flex align-center"
        >
          <v-col cols="12" md="5">
            <v-img
              aspect-ratio="1.7"
              contain
              :src="require(`../../../assets/images/monitoring/${card.bg}.png`)"
              :srcset="require(`../../../assets/images/monitoring/${card.bg}.png`)"
              :lazy-src="
                require(`../../../assets/images/monitoring/${card.bg}.png`)
              "
            ></v-img>
          </v-col>
          <v-col cols="12" md="7">
            <div class="content-mn">
              <span class="deep-purple--text darken-4 font-weight-bold text-h4">
                {{ card.key }}
              </span>
              <h2 class="grey--text text--darken-3 pb-4">
                {{ card.title }}
              </h2>
              <p class="grey--text text--darken-1">
                {{ card.description }}
              </p>
            </div>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'MonWhy',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
};
</script>
